Upstream information

CVE-2020-1934 at MITRE

Description

In Apache HTTP Server 2.4.0 to 2.4.41, mod_proxy_ftp may use uninitialized memory when proxying to a malicious FTP server.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact None
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1168404 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • apache2 >= 2.4.23-29.54.1
  • apache2-doc >= 2.4.23-29.54.1
  • apache2-example-pages >= 2.4.23-29.54.1
  • apache2-prefork >= 2.4.23-29.54.1
  • apache2-utils >= 2.4.23-29.54.1
  • apache2-worker >= 2.4.23-29.54.1
Patchnames:
HPE-Helion-OpenStack-8-2020-1272
SUSE Enterprise Storage 5
  • apache2 >= 2.4.23-29.54.1
  • apache2-doc >= 2.4.23-29.54.1
  • apache2-example-pages >= 2.4.23-29.54.1
  • apache2-prefork >= 2.4.23-29.54.1
  • apache2-utils >= 2.4.23-29.54.1
  • apache2-worker >= 2.4.23-29.54.1
Patchnames:
SUSE-Storage-5-2020-1272
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • apache2 >= 2.4.33-3.30.1
  • apache2-devel >= 2.4.33-3.30.1
  • apache2-doc >= 2.4.33-3.30.1
  • apache2-prefork >= 2.4.33-3.30.1
  • apache2-utils >= 2.4.33-3.30.1
  • apache2-worker >= 2.4.33-3.30.1
Patchnames:
SUSE-SLE-Product-HPC-15-2020-1126
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • apache2 >= 2.4.33-3.30.1
  • apache2-event >= 2.4.33-3.30.1
  • apache2-example-pages >= 2.4.33-3.30.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-1126
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • apache2 >= 2.4.33-3.30.1
  • apache2-devel >= 2.4.33-3.30.1
  • apache2-doc >= 2.4.33-3.30.1
  • apache2-prefork >= 2.4.33-3.30.1
  • apache2-utils >= 2.4.33-3.30.1
  • apache2-worker >= 2.4.33-3.30.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP1-2020-1126
SUSE Linux Enterprise Point of Sale 11 SP3
  • apache2 >= 2.2.34-70.27.1
  • apache2-devel >= 2.2.34-70.27.1
  • apache2-doc >= 2.2.34-70.27.1
  • apache2-example-pages >= 2.2.34-70.27.1
  • apache2-prefork >= 2.2.34-70.27.1
  • apache2-utils >= 2.2.34-70.27.1
  • apache2-worker >= 2.2.34-70.27.1
Patchnames:
sleposp3-apache2-14342
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • apache2 >= 2.4.23-29.54.1
  • apache2-doc >= 2.4.23-29.54.1
  • apache2-example-pages >= 2.4.23-29.54.1
  • apache2-prefork >= 2.4.23-29.54.1
  • apache2-utils >= 2.4.23-29.54.1
  • apache2-worker >= 2.4.23-29.54.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-1272
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • apache2 >= 2.2.34-70.27.1
  • apache2-doc >= 2.2.34-70.27.1
  • apache2-example-pages >= 2.2.34-70.27.1
  • apache2-prefork >= 2.2.34-70.27.1
  • apache2-utils >= 2.2.34-70.27.1
  • apache2-worker >= 2.2.34-70.27.1
Patchnames:
slessp4-apache2-14342
SUSE Linux Enterprise Server 12 SP1-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • apache2 >= 2.4.16-20.29.1
  • apache2-doc >= 2.4.16-20.29.1
  • apache2-example-pages >= 2.4.16-20.29.1
  • apache2-prefork >= 2.4.16-20.29.1
  • apache2-utils >= 2.4.16-20.29.1
  • apache2-worker >= 2.4.16-20.29.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2020-1111
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • apache2 >= 2.4.23-29.54.1
  • apache2-doc >= 2.4.23-29.54.1
  • apache2-example-pages >= 2.4.23-29.54.1
  • apache2-prefork >= 2.4.23-29.54.1
  • apache2-utils >= 2.4.23-29.54.1
  • apache2-worker >= 2.4.23-29.54.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-1272
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • apache2 >= 2.4.23-29.54.1
  • apache2-doc >= 2.4.23-29.54.1
  • apache2-example-pages >= 2.4.23-29.54.1
  • apache2-prefork >= 2.4.23-29.54.1
  • apache2-utils >= 2.4.23-29.54.1
  • apache2-worker >= 2.4.23-29.54.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-1272
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • apache2 >= 2.4.23-29.54.1
  • apache2-doc >= 2.4.23-29.54.1
  • apache2-example-pages >= 2.4.23-29.54.1
  • apache2-prefork >= 2.4.23-29.54.1
  • apache2-utils >= 2.4.23-29.54.1
  • apache2-worker >= 2.4.23-29.54.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-1272
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • apache2 >= 2.4.23-29.54.1
  • apache2-doc >= 2.4.23-29.54.1
  • apache2-example-pages >= 2.4.23-29.54.1
  • apache2-prefork >= 2.4.23-29.54.1
  • apache2-utils >= 2.4.23-29.54.1
  • apache2-worker >= 2.4.23-29.54.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-1272
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • apache2 >= 2.4.23-29.54.1
  • apache2-doc >= 2.4.23-29.54.1
  • apache2-example-pages >= 2.4.23-29.54.1
  • apache2-prefork >= 2.4.23-29.54.1
  • apache2-utils >= 2.4.23-29.54.1
  • apache2-worker >= 2.4.23-29.54.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-1272
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • apache2 >= 2.4.23-29.54.1
  • apache2-doc >= 2.4.23-29.54.1
  • apache2-example-pages >= 2.4.23-29.54.1
  • apache2-prefork >= 2.4.23-29.54.1
  • apache2-utils >= 2.4.23-29.54.1
  • apache2-worker >= 2.4.23-29.54.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-1272
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • apache2 >= 2.4.23-29.54.1
  • apache2-doc >= 2.4.23-29.54.1
  • apache2-example-pages >= 2.4.23-29.54.1
  • apache2-prefork >= 2.4.23-29.54.1
  • apache2-utils >= 2.4.23-29.54.1
  • apache2-worker >= 2.4.23-29.54.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2020-1272
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • apache2 >= 2.4.23-29.54.1
  • apache2-doc >= 2.4.23-29.54.1
  • apache2-example-pages >= 2.4.23-29.54.1
  • apache2-prefork >= 2.4.23-29.54.1
  • apache2-utils >= 2.4.23-29.54.1
  • apache2-worker >= 2.4.23-29.54.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-1272
SUSE Linux Enterprise Server 15-LTSS
  • apache2 >= 2.4.33-3.30.1
  • apache2-devel >= 2.4.33-3.30.1
  • apache2-doc >= 2.4.33-3.30.1
  • apache2-prefork >= 2.4.33-3.30.1
  • apache2-utils >= 2.4.33-3.30.1
  • apache2-worker >= 2.4.33-3.30.1
Patchnames:
SUSE-SLE-Product-SLES-15-2020-1126
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • apache2 >= 2.4.16-20.29.1
  • apache2-doc >= 2.4.16-20.29.1
  • apache2-example-pages >= 2.4.16-20.29.1
  • apache2-prefork >= 2.4.16-20.29.1
  • apache2-utils >= 2.4.16-20.29.1
  • apache2-worker >= 2.4.16-20.29.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2020-1111
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • apache2 >= 2.4.23-29.54.1
  • apache2-doc >= 2.4.23-29.54.1
  • apache2-example-pages >= 2.4.23-29.54.1
  • apache2-prefork >= 2.4.23-29.54.1
  • apache2-utils >= 2.4.23-29.54.1
  • apache2-worker >= 2.4.23-29.54.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-1272
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • apache2 >= 2.4.23-29.54.1
  • apache2-doc >= 2.4.23-29.54.1
  • apache2-example-pages >= 2.4.23-29.54.1
  • apache2-prefork >= 2.4.23-29.54.1
  • apache2-utils >= 2.4.23-29.54.1
  • apache2-worker >= 2.4.23-29.54.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-1272
SUSE Linux Enterprise Server for SAP Applications 15
  • apache2 >= 2.4.33-3.30.1
  • apache2-devel >= 2.4.33-3.30.1
  • apache2-doc >= 2.4.33-3.30.1
  • apache2-prefork >= 2.4.33-3.30.1
  • apache2-utils >= 2.4.33-3.30.1
  • apache2-worker >= 2.4.33-3.30.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2020-1126
SUSE Linux Enterprise Software Development Kit 12 SP4
  • apache2 >= 2.4.23-29.54.1
  • apache2-devel >= 2.4.23-29.54.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2020-1272
SUSE Linux Enterprise Software Development Kit 12 SP5
  • apache2 >= 2.4.23-29.54.1
  • apache2-devel >= 2.4.23-29.54.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-1272
SUSE OpenStack Cloud 7
  • apache2 >= 2.4.23-29.54.1
  • apache2-doc >= 2.4.23-29.54.1
  • apache2-example-pages >= 2.4.23-29.54.1
  • apache2-prefork >= 2.4.23-29.54.1
  • apache2-utils >= 2.4.23-29.54.1
  • apache2-worker >= 2.4.23-29.54.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-1272
SUSE OpenStack Cloud 8
  • apache2 >= 2.4.23-29.54.1
  • apache2-doc >= 2.4.23-29.54.1
  • apache2-example-pages >= 2.4.23-29.54.1
  • apache2-prefork >= 2.4.23-29.54.1
  • apache2-utils >= 2.4.23-29.54.1
  • apache2-worker >= 2.4.23-29.54.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-1272
SUSE OpenStack Cloud Crowbar 8
  • apache2 >= 2.4.23-29.54.1
  • apache2-doc >= 2.4.23-29.54.1
  • apache2-example-pages >= 2.4.23-29.54.1
  • apache2-prefork >= 2.4.23-29.54.1
  • apache2-utils >= 2.4.23-29.54.1
  • apache2-worker >= 2.4.23-29.54.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-1272
openSUSE Leap 15.1
  • apache2 >= 2.4.33-lp151.8.12.1
  • apache2-debuginfo >= 2.4.33-lp151.8.12.1
  • apache2-debugsource >= 2.4.33-lp151.8.12.1
  • apache2-devel >= 2.4.33-lp151.8.12.1
  • apache2-doc >= 2.4.33-lp151.8.12.1
  • apache2-event >= 2.4.33-lp151.8.12.1
  • apache2-event-debuginfo >= 2.4.33-lp151.8.12.1
  • apache2-example-pages >= 2.4.33-lp151.8.12.1
  • apache2-prefork >= 2.4.33-lp151.8.12.1
  • apache2-prefork-debuginfo >= 2.4.33-lp151.8.12.1
  • apache2-utils >= 2.4.33-lp151.8.12.1
  • apache2-utils-debuginfo >= 2.4.33-lp151.8.12.1
  • apache2-worker >= 2.4.33-lp151.8.12.1
  • apache2-worker-debuginfo >= 2.4.33-lp151.8.12.1
Patchnames:
openSUSE-2020-597


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Business Critical Linux 12 SP2 apache2 Released
SUSE Business Critical Linux 12 SP3 apache2 Released
SUSE Linux Enterprise High Performance Computing 12 apache2 Released
SUSE Linux Enterprise High Performance Computing ESPOS 15 GA apache2 Released
SUSE Linux Enterprise High Performance Computing LTSS 15 GA apache2 Released
SUSE Linux Enterprise Module for Server Applications 15 SP1 apache2 Released
SUSE Linux Enterprise SDK 12 SP4 apache2 Released
SUSE Linux Enterprise SDK 12 SP5 apache2 Released
SUSE Linux Enterprise Server 11 SP4 LTSS apache2 Released
SUSE Linux Enterprise Server 12 SP1 LTSS apache2 Released
SUSE Linux Enterprise Server 12 SP2 LTSS apache2 Released
SUSE Linux Enterprise Server 12 SP3 LTSS apache2 Released
SUSE Linux Enterprise Server 12 SP4 apache2 Released
SUSE Linux Enterprise Server 12 SP5 apache2 Released
SUSE Linux Enterprise Server 15 GA LTSS apache2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 apache2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 apache2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 apache2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 apache2 Released